Home
About HBTExpand About HBT
Joint TrustsExpand Joint Trusts
Financial AdministrationExpand Financial Administration
Rehabilitation ServicesExpand Rehabilitation Services
Claims AdministrationExpand Claims Administration
News & Resources

Site Requirements

This section provides information on our website's optimum viewing requirements.

Browser Requirements

To make the most of your visit to HBT’s website, make sure you are using one of the browsers shown below. You will find information on Recommended, Minimum Requirement and Not Supported browsers.

Please note that using a Not Supported Browser may cause problems accessing some of our website features and online services. We do not support beta versions of any browser.

PCs Using Internet Explorer

  • Recommended – Internet Explorer 7.0 and 8.0
  • Minimum Requirement – Internet Explorer 7.0
  • Not Supported – Internet Explorer below 7.0

PCs & Macintosh Computers using Mozilla Firefox

  • Recommended & Minimum Requirement – Firefox 3.5

PCs & Macintosh Computers using Netscape Navigator

  • Not Supported – Netscape (all versions)

Macintosh Computers Using Safari

  • Recommended & Minimum Requirement – Safari 1.0

Download Updated Browsers

If you are using an older browser version and would like to upgrade your browser, select one of the options below. Each of these websites provides downloading instructions.


Microsoft Internet Explorer 7 Microsoft Internet Explorer 8 Mozilla Firefox

Browser Settings Required

You must also have “Cookies” and “JavaScript” enabled in your browser to use HBT’s website online services. These features are usually enabled by default but can be modified in your browser’s security and privacy settings.

Viewing Multimedia Files and PDFs

Adobe Acrobat Reader is required to view all the PDF documents contained in this site. It is available to download free from Adobe's website.

Get Adobe Reader